## arptables 0.0.4

=== debian/changelog ===
arptables (0.0.4-2) unstable; urgency=medium

  * [1a26c32] d/patch: Add dpkg-buildflags
  * [5869fd6] d/patches: cleanup sysvinit script (Closes: #897976)

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 09 May 2018 17:21:06 +0000

arptables (0.0.4-1) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [9e86b20] New upstream version 0.0.4

  [ Arturo Borrero Gonzalez ]
  * [8d554a1] d/patches: replace 01_Makefile.diff with
    0001-debian-defaults.patch
  * [5f8d185] d/patches: drop 02_manpage.diff
  * [3b3324a] d/patches: drop 03_type.diff
  * [b2d0146] d/patches: drop 04_arptables-save.diff

  [ Alberto Molina Coballes ]
  * [bbe8faf] Modifying debian/copyright according to DEP-5
  * [fec4507] Updating debian/compat to 11
  * [88f65fd] Updating maintainers and adding uploaders (Closes: #891758)
  * [1a66102] Adding VCS-* headers
  * [e87d9dd] Updating Homepage header
  * [84776dc] Updating to debhelper 11
  * [b210e11] Updating Standards-Version to 4.1.3
  * [d8b2837] d/patches: refresh 0001_debian-defaults.patch
  * [6623413] d/watch: updating upstream url

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 04 Apr 2018 16:24:23 +0000

arptables (0.0.3.4-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #891758)
  * Package is Linux-only, change to Architecture: linux-any.
    (Closes: #745161)

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 15:42:17 +0200
