=== debian/control ===
Source: arptables
Section: net
Priority: optional
Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
Uploaders: Alberto Molina Coballes <alb.molina@gmail.com>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11)
Homepage: http://www.netfilter.org/
Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables
Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables

Package: arptables
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARP table administration
 Arptables is used to set up, maintain, and inspect the tables of
 ARP rules in the Linux kernel. It is analogous to iptables,
 but operates at the ARP layer rather than the IP layer.
