=== debian/changelog ===
arptables (0.0.4+snapshot20181021-4) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [88703e1] src:arptables: add salsa CI integration

  [ Alberto Molina Coballes ]
  * [eb7a44d] d/arptables.prerm: Remove /sbin symlinks on not usr-merged systems
    (Closes: #926728)

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 17 Apr 2019 15:24:53 +0000

arptables (0.0.4+snapshot20181021-3) unstable; urgency=medium

  * [090bcbc] d/dirs: /sbin no longer required
  * [85e682e] d/patches: rename arptables-save and arptables-restore
    (Closes: #918900)
  * [a419984] d/arptables.manpages: rename arptables-* man pages
  * [b8fc52f] d/patch: Add CPPFLAGS

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Fri, 11 Jan 2019 17:02:26 +0000

arptables (0.0.4+snapshot20181021-2) unstable; urgency=medium

  * [ce08bbe] d/arptables.prerm: iptables verification deleted

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Tue, 08 Jan 2019 16:31:48 +0000

arptables (0.0.4+snapshot20181021-1) unstable; urgency=medium

  * [2c7c7c6] New upstream version 0.0.4+snapshot20181021
  * [c6b2324] d/patches: Adapt the default patch to the latest upstream version
  * [3076713] arptables: introduce /sbin compatibility symlinks
  * [4108b0d] arptables: introduce alternatives for /usr/sbin/arptables
    (Closes: #916106)
  * [f7b48be] d/control: bump std-version to 4.3.0

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Sun, 06 Jan 2019 17:00:42 +0000
