=== debian/watch ===
version=3
http://ftp.netfilter.org/pub/arptables/arptables-v(\S+).tar.gz
