=== debian/changelog ===
arptables (0.0.5-5) unstable; urgency=medium

  * [355c24d] d/control: bump Standards-Version to 4.7.0
  * [d41cd49] d/control: update `Maintainer:` address
  * [0a736df] d/patches: rename patches
  * [c51266b] d/patches: update DEP-3 headers
  * [09555cc] d/patches: split build patch
  * [e9fc97d] d/patches: update build flag fixes
  * [5507085] d/patches: correct extension target
  * [19ae226] d/patches: refactor creation of bin directory

 -- Jeremy Sowden <azazel@debian.org>  Sun, 24 Nov 2024 20:10:58 +0000

arptables (0.0.5-4) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [733a015] d/control: bump std-version to 4.6.0

  [ Jeremy Sowden ]
  * [77f41d1] d/arptables.postinst: fix indentation
  * [5e614b6] d/arptables.postinst: test symlinks with `-h`, not `-e`
  * [3cdf4ae] d/arptables.prerm: test symlinks with `-h`, not `-L`
  * [a205a6a] d/gbp.conf: default: enable `pristine-tar`
  * [0caeddf] d/gbp.conf: dch: set `id-length`
  * [8361aa4] d/control: bump Standards-Version to 4.6.2
  * [02d3e30] d/control: add myself to uploaders
  * [07ffb6d] d/control: set `Rules-Requires-Root: no`
  * [4eec638] d/watch: use HTTPS URL
  * [3087d09] d/rules: enable hardening
  * [15bc7c1] d/control: add `${perl:Depends}`
  * [30195e4] d/copyright, d/dirs: trim blank lines
  * [50f9735] d/control: update my e-mail address
  * [9678a66] d/patches: add a patch to fix spelling errors

 -- Jeremy Sowden <azazel@debian.org>  Fri, 08 Mar 2024 22:14:50 +0000

arptables (0.0.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not install /sbin/* compat symlink, cleans them if they are still
    present (Closes: #1007829).

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2022 10:31:00 +0200

arptables (0.0.5-3) unstable; urgency=medium

  * [9e68e1c] d/tests/control: add isolation-machine restriction to tests

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Tue, 09 Jun 2020 15:47:38 +0000

arptables (0.0.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [4532b7e] debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * [03a8516] Use secure URI in Homepage field.
  * [52fdcb5] Bump debhelper from old 11 to 12.
  * [e4d374e] Set debhelper-compat version in Build-Depends.
  * [2f180ad] Use canonical URL in Vcs-Git.
  * [4dba561] Update standards version to 4.5.0, no changes needed.

  [ Alberto Molina Coballes ]
  * [e4526ab] ebtables: bump debhelper-compat to 13
  * [8e48f23] arptables: add basic autopkgtests

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Sat, 06 Jun 2020 15:49:40 +0000

arptables (0.0.5-1) unstable; urgency=medium

  * [660794f] d/watch: update upstream url regexp
  * [1e49f0b] New upstream version 0.0.5
  * [47d2e6f] d/control: bump std-version to 4.4.1

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Thu, 05 Dec 2019 09:19:42 +0000
